﻿init offset = -1

screen help():
    tag menu
    default device = "keyboard"
    use game_menu(_("Help"), scroll="viewport"):
        frame align .5,.5 xysize 1200,800:
            style_prefix "help"
            vbox:
                spacing 23
                hbox:
                    button:
                        at btn
                        text _("Keyboard")
                        action SetScreenVariable("device", "keyboard")
                    button:
                        at btn
                        text _("Mouse")
                        action SetScreenVariable("device", "mouse")

                    if GamepadExists():
                        button:
                            at btn
                            text _("Gamepad")
                            action SetScreenVariable("device", "gamepad")

                if device == "keyboard":
                    use keyboard_help
                elif device == "mouse":
                    use mouse_help
                elif device == "gamepad":
                    use gamepad_help


screen keyboard_help():

    hbox:
        at btn
        label _("Enter")
        text _("Advances dialogue and activates the interface.")

    hbox:
        at btn
        label _("Space")
        text _("Advances dialogue without selecting choices.")

    hbox:
        at btn
        label _("Arrow Keys")
        text _("Navigate the interface.")

    hbox:
        at btn
        label _("Escape")
        text _("Accesses the game menu.")

    hbox:
        at btn
        label _("Ctrl")
        text _("Skips dialogue while held down.")

    hbox:
        at btn
        label _("Tab")
        text _("Toggles dialogue skipping.")

    hbox:
        at btn
        label _("Page Up")
        text _("Rolls back to earlier dialogue.")

    hbox:
        at btn
        label _("Page Down")
        text _("Rolls forward to later dialogue.")

    hbox:
        at btn
        label "H"
        text _("Hides the user interface.")

    hbox:
        at btn
        label "S"
        text _("Takes a screenshot.")

    hbox:
        at btn
        label "V"
        text _("Toggles assistive {a=https://www.renpy.org/l/voicing}self-voicing{/a}.")


screen mouse_help():

    hbox:
        at btn
        label _("Left Click")
        text _("Advances dialogue and activates the interface.")

    hbox:
        at btn
        label _("Middle Click")
        text _("Hides the user interface.")

    hbox:
        at btn
        label _("Right Click")
        text _("Accesses the game menu.")

    hbox:
        at btn
        label _("Mouse Wheel Up\nClick Rollback Side")
        text _("Rolls back to earlier dialogue.")

    hbox:
        at btn
        label _("Mouse Wheel Down")
        text _("Rolls forward to later dialogue.")


screen gamepad_help():

    hbox:
        at btn
        label _("Right Trigger\nA/Bottom Button")
        text _("Advances dialogue and activates the interface.")

    hbox:
        at btn
        label _("Left Trigger\nLeft Shoulder")
        text _("Rolls back to earlier dialogue.")

    hbox:
        at btn
        label _("Right Shoulder")
        text _("Rolls forward to later dialogue.")


    hbox:
        at btn
        label _("D-Pad, Sticks")
        text _("Navigate the interface.")

    hbox:
        at btn
        label _("Start, Guide")
        text _("Accesses the game menu.")

    hbox:
        at btn
        label _("Y/Top Button")
        text _("Hides the user interface.")

    textbutton _("Calibrate") action GamepadCalibrate() at btn


style help_frame is zero
style help_button is zero
style help_text is zero
style help_hbox is zero
style help_vbox is zero
