﻿init offset = -1
define config.thumbnail_width = 384
define config.thumbnail_height = 216

## Load and Save screens #######################################################

screen save():
    tag menu
    use file_slots(_("Save"))

screen load():
    tag menu
    use file_slots(_("Load"))

screen file_slots(title):
    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))
    use game_menu(title):
        vbox:
            style_prefix "save"
            spacing 20
            # order_reverse True
            button:
                key_events True
                action page_name_value.Toggle()
                input:
                    value page_name_value
            grid 3 2:
                spacing 10
                for i in range(3*2):
                    $ slot = i + 1
                    fixed fit_first True:
                        button:
                            at btn
                            action FileAction(slot)
                            vbox:
                                frame:
                                    background current_theme["Mute"]+"66"
                                    padding 0,0 xysize config.thumbnail_width,config.thumbnail_height
                                    add FileScreenshot(slot)
                                text FileTime(slot, format=_("{#file_time}%a, %b %d %Y, %H:%M"), empty=_("empty slot"))
                                text FileSaveName(slot)
                                key "save_delete" action FileDelete(slot)
                        if FileTime(slot):
                            button:
                                xysize 40,40 align 1.0,.0 offset -20,20
                                text "X"
                                action FileDelete(slot)

            hbox:
                spacing 10
                button:
                    at btn
                    text _("<")
                    action FilePagePrevious()
                if config.has_autosave:
                    button:
                        at btn
                        text _("{#auto_page}A")
                        action FilePage("auto")
                if config.has_quicksave:
                    button:
                        at btn
                        text _("{#quick_page}Q")
                        action FilePage("quick")
                for page in range(1, 10):
                    button:
                        at btn
                        text "[page]"
                        action FilePage(page)
                button:
                    at btn
                    text _(">")
                    action FilePageNext()

style save_button is zero
style save_text is zero
style save_vbox is zero
style save_hbox is zero
style save_input is zero



